summaryrefslogtreecommitdiff
path: root/tests/check-block.sh
diff options
context:
space:
mode:
authorKevin Wolf <kwolf@redhat.com>2012-03-09 13:37:40 +0100
committerKevin Wolf <kwolf@redhat.com>2012-03-12 15:14:07 +0100
commitb8c6f29eb84cd3ccbbf23a5951224ae33f11116b (patch)
treec82f49399e27bd9b1e60005508ae80cd583be2eb /tests/check-block.sh
parent8959449bb9b16e3b19cf35823d3358eb7d461210 (diff)
downloadqemu-b8c6f29eb84cd3ccbbf23a5951224ae33f11116b.tar.gz
Add 'make check-block'
Runs the full qemu-iotests suite for various image formats. Signed-off-by: Kevin Wolf <kwolf@redhat.com>
Diffstat (limited to 'tests/check-block.sh')
-rwxr-xr-xtests/check-block.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/check-block.sh b/tests/check-block.sh
new file mode 100755
index 0000000000..b9d9c6a9f6
--- /dev/null
+++ b/tests/check-block.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+export QEMU_PROG="$(pwd)/x86_64-softmmu/qemu-system-x86_64"
+export QEMU_IMG_PROG="$(pwd)/qemu-img"
+export QEMU_IO_PROG="$(pwd)/qemu-io"
+
+if [ ! -x $QEMU_PROG ]; then
+ echo "'make check-block' requires qemu-system-x86_64"
+ exit 1
+fi
+
+cd $SRC_PATH/tests/qemu-iotests
+
+ret=0
+./check -T -nocache -raw || ret=1
+./check -T -nocache -qcow2 || ret=1
+./check -T -nocache -qed|| ret=1
+./check -T -nocache -vmdk|| ret=1
+./check -T -nocache -vpc || ret=1
+
+exit $ret